spring.application.name=reports

# Purchase database
spring.database.purchase.jdbc-url=jdbc:postgresql://13.206.17.156:5432/purchase
spring.database.purchase.username=postgres
spring.database.purchase.password=12345678
spring.database.purchase.driver-class-name=org.postgresql.Driver
spring.database.purchase.hikari.maximum-pool-size=5

# Sales database
spring.database.sales.jdbc-url=jdbc:postgresql://13.206.17.156:5432/sales
spring.database.sales.username=postgres
spring.database.sales.password=12345678
spring.database.sales.driver-class-name=org.postgresql.Driver
spring.database.sales.hikari.maximum-pool-size=5

# Product database
spring.database.product.jdbc-url=jdbc:postgresql://13.206.17.156:5432/product
spring.database.product.username=postgres
spring.database.product.password=12345678
spring.database.product.driver-class-name=org.postgresql.Driver
spring.database.product.hikari.maximum-pool-size=5

# Inventory database
spring.database.inventory.jdbc-url=jdbc:postgresql://13.206.17.156:5432/inventory
spring.database.inventory.username=postgres
spring.database.inventory.password=12345678
spring.database.inventory.driver-class-name=org.postgresql.Driver
spring.database.inventory.hikari.maximum-pool-size=5

server.port=8082
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true

encounter.api=https://apidev.ayushehr.com/app/api/encounters/
ehr.host.api=https://kc2.ehrn.ehr.network/
user.permission=https://apidev.ayushehr.com/saas/api/v1/users/permissions/
logger.api=https://apidev.ayushehr.com/logger/api/logger

#customize the swagger ui path.
springdoc.swagger-ui.path=/docs
